'use strict';

const fileHelper = require('./../fileHepler');
const basePath = require('./../path');
const apiDirectory = basePath.apiDirectory;
let template = require('./../lib/template');
const gitIgnore = require('./../lib/gitignore');
const utils = require('./../lib/utils');
let {
  beautifyFile,
  dateToTime
} = utils;


let apisPromise = [];
const init= (apis)=>{
  return new Promise((resolve,reject)=>{
    let fileNames = [];
    apis.map(item =>{
      let type = process.env.type;
      let service = process.env.service;
      let reg = /^.+(\.dome)$/;

      //打包正式，去掉dome模块
      if (type === 'build' && service === 'build' && reg.test(item.filePathName)) {
        fileNames.push(item.fileName);
        return
      }

      //打包非正式
      let tempPath = `${apiDirectory}/${item.fileName}`;
      let html = template(basePath.buildTemplateDirectory + '/coder/api.txt', {
        apis: item,
        time: dateToTime(Math.floor(new Date().getTime() / 1000)),
        model: item.fileName
      });
      apisPromise.push(fileHelper.writeFile(tempPath, beautifyFile(html)));
      fileNames.push(item.fileName);
    });

    //设置git忽略文件
    apisPromise.push(gitIgnore(fileNames, apiDirectory));

    Promise.all(apisPromise)
      .then(res=>{
        resolve()
      })
      .catch(res=>{
        reject(res)
      })
  })
};

module.exports = init;








