'use strict';

import Layout from '@/layout'
import roles from '@/constant/permissions' //引用权限值
const classified = roles.classified;

const classifiedRouter = {
  path: '/classified',
  sort: 95,
  component: Layout,
  name: '归类管理',
  redirect: '/classified/list',
  meta: {
    title: '归类管理',
    icon: 'xdicon_goodsppecategory',
    iconSize: 22,
    roles: [classified.getListClassified]
  },
  children: [
    {
      path: 'list',
      name: '归类管理',
      component: () => import ('@/viewsPack/classified/list'),
      meta: {
        title: '归类管理',
        icon: 'xdicon_goodsppecategory',
        iconSize: 22,
        roles: [classified.getListClassified]
      }
    },
    {
      path: 'create',
      name: '新增归类',
      component: () => import('@/viewsPack/classified/create'),
      hidden: true,
      meta: {
        title: '新增归类',
        activeMenu: '/classified/list',
        roles: [classified.addClassified]
      }
    },
    {
      path: 'edit/:category_id',
      name: '编辑归类',
      hidden: true,
      component: () => import ('@/viewsPack/classified/create'),
      meta: {
        title: '编辑归类',
        activeMenu: '/classified/list',
        roles: [classified.updateClassified],
      }
    },
    {
      path: 'setting/:category_id/:category_name/:set_id?',
      name: '配置归类',
      hidden: true,
      component: () => import ('@/viewsPack/classified/setting'),
      meta: {
        title: '配置归类',
        activeMenu: '/classified/list',
        roles: [classified.updateClassified],
      }
    },

  ]
}

export default classifiedRouter
